Read a feedback thread
One Feedback thread with its status, votes, the original post, replies (10 per page, newest last), the team's summary and brief, open questionnaires and what the user may do (vote, reply). Example: { "thread": 33 }. Long posts are cut; pass full_post_id to get one post in full. Use the post ids with react_to_feedback / edit_feedback_post / delete_feedback_post, and questionnaire ids with answer_feedback_questionnaire. Scope: `community:read` (or `read`).
One Feedback thread with its status, votes, the original post, replies (10 per page, newest last), the team's summary and brief, open questionnaires and what the user may do (vote, reply). Example: { "thread": 33 }. Long posts are cut; pass full_post_id to get one post in full. Use the post ids with react_to_feedback / edit_feedback_post / delete_feedback_post, and questionnaire ids with answer_feedback_questionnaire.
Scope: community:read (or read).
API token in format: bfk_. Each operation lists the token scope it requires (the scopes are listed below).
read: Read everything (all areas)write: Create, change and delete everything (all areas)brews:read: List and view brewsbrews:write: Create, update, delete brews and notesinventory:read: List inventory itemsinventory:write: Create, update, delete inventory itemsequipment:read: List equipment profilesequipment:write: Create, update, delete equipment profilesstyles:read: List style profilesstyles:write: Create, update, delete style profilesprofiles:read: List mash, fermentation, and water profilescustom-fields:read: List custom field definitionscustom-fields:write: Create, update, delete custom field definitionsprofiles:write: Create, update, delete mash, fermentation, and water profilescellar:read: View cellar, packaged stock, tap lists, and labelscellar:write: Manage cellar, packaging, stock, tap lists, and labelssettings:read: View preferences, imports, calculators, and your data exportsettings:write: Change preferences and undo importscommunity:read: View community, feedback, tickets, inbox, and account overviewcommunity:write: Post, vote, and reply in community, feedback, and tickets
In: header
Scope: community:read
Request Body
application/json
The feedback thread: its number (33, "#33") or its URL (e.g. "https://brewforge.sh/feedback/33-water-per-mash-step"). Find numbers with find_feedback_threads.
Return only this post, uncut (original post or reply id from a previous call).
Replies per page, 0-50 (default 10).
0 <= value <= 50next_replies_cursor from the previous call, for more replies.
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://brewforge.sh/api/v1/actions/get_feedback_thread" \ -H "Content-Type: application/json" \ -d '{ "thread": 0 }'{
"number": 0,
"title": "string",
"category": "feature",
"status": "open",
"status_reason": "string",
"url": "string",
"author": "string",
"created": "string",
"votes": 0,
"labels": [
"string"
],
"summary": "string",
"brief": "string",
"merged_into": 0,
"you": {
"voted": true,
"vote_state": "voted",
"subscribed": true,
"is_author": true,
"can_reply": true,
"reply_blocked_because": "string",
"can_accept_answer": true
},
"original_post": {
"id": "string",
"author": "string",
"body": "string",
"truncated": true,
"date": "string",
"score": 0,
"your_vote": 0,
"yours": true,
"accepted_answer": true,
"edited": true,
"deleted": true,
"moderation": "string",
"collapsed": true,
"from_thread": 0
},
"accepted_answer": {
"id": "string",
"author": "string",
"body": "string",
"truncated": true,
"date": "string",
"score": 0,
"your_vote": 0,
"yours": true,
"accepted_answer": true,
"edited": true,
"deleted": true,
"moderation": "string",
"collapsed": true,
"from_thread": 0
},
"replies": [
{
"id": "string",
"author": "string",
"body": "string",
"truncated": true,
"date": "string",
"score": 0,
"your_vote": 0,
"yours": true,
"accepted_answer": true,
"edited": true,
"deleted": true,
"moderation": "string",
"collapsed": true,
"from_thread": 0
}
],
"replies_total": 0,
"next_replies_cursor": "string",
"questionnaires": [
{
"id": "string",
"status": "live",
"title": "string",
"intro": "string",
"respondents": 0,
"questions": [
{
"id": "string",
"text": "string",
"multiple": true,
"allow_other": true,
"options": [
{
"id": "string",
"label": "string",
"share_pct": 0
}
],
"other_pct": 0,
"your_answer": {
"option_ids": [
"string"
],
"other": "string"
}
}
],
"you_answered": true
}
],
"related": [
{
"type": "string",
"thread": 0,
"title": "string",
"url": "string"
}
],
"post": {
"id": "string",
"author": "string",
"body": "string",
"truncated": true,
"date": "string",
"score": 0,
"your_vote": 0,
"yours": true,
"accepted_answer": true,
"edited": true,
"deleted": true,
"moderation": "string",
"collapsed": true,
"from_thread": 0
}
}{
"error": {
"code": "string",
"message": "string",
"hint": "string",
"candidates": [
{
"id": "string",
"name": "string"
}
],
"fields": {
"property1": [
"string"
],
"property2": [
"string"
]
},
"details": {}
}
}{
"error": {
"code": "string",
"message": "string",
"hint": "string",
"candidates": [
{
"id": "string",
"name": "string"
}
],
"fields": {
"property1": [
"string"
],
"property2": [
"string"
]
},
"details": {}
}
}{
"error": {
"code": "string",
"message": "string",
"hint": "string",
"candidates": [
{
"id": "string",
"name": "string"
}
],
"fields": {
"property1": [
"string"
],
"property2": [
"string"
]
},
"details": {}
}
}{
"error": {
"code": "string",
"message": "string",
"hint": "string",
"candidates": [
{
"id": "string",
"name": "string"
}
],
"fields": {
"property1": [
"string"
],
"property2": [
"string"
]
},
"details": {}
}
}{
"error": {
"code": "string",
"message": "string",
"hint": "string",
"candidates": [
{
"id": "string",
"name": "string"
}
],
"fields": {
"property1": [
"string"
],
"property2": [
"string"
]
},
"details": {}
}
}{
"error": {
"code": "string",
"message": "string",
"hint": "string",
"candidates": [
{
"id": "string",
"name": "string"
}
],
"fields": {
"property1": [
"string"
],
"property2": [
"string"
]
},
"details": {}
}
}